com.threerings.micasa.simulator.server

## Interface SimulatorServer

All Known Implementing Classes:
  SimpleServer

    public interface SimulatorServer

The simulator manager needs a mechanism for faking body object registrations, which is provided by implementations of this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init(com.google.inject.Injector injector, ResultListener<SimulatorServer> obs)` Called to initialize this server instance.
`void` `run()` Called to perform the main body of server processing.

### Method Detail

#### init

    void init(com.google.inject.Injector injector,
              ResultListener<SimulatorServer> obs)
       throws Exception

Called to initialize this server instance.

Parameters:
  `obs` - the observer to notify when the server has finished starting up, or `null` if no notification is desired.
Throws:
  `Exception` - thrown if anything goes wrong initializing the server.

#### run

    void run()

Called to perform the main body of server processing. This is called from the server thread and should do the simulator server's primary business.